From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 12 September 2003<P>

B.K. <BR>
<a href="/blend/wv.cgi?id=2003.09.09.18.44.16500">~Baby Slip Me Some Skin~</a> Love this one!
<HR>
From: <a href="/blend/av.cgi?id=4">tj holland</a><BR>
Date: 12 September 2003<P>

Misti ~<BR>
<BR>
I just realized something...your poems are like your collages! So many seemingly unrelated images all tumbled together to make one hell of a cohesive statement! Excellent!<BR>
<BR>
-Teej
<HR>
From: <a href="/blend/av.cgi?id=1050">Kase</a><BR>
Date: 12 September 2003<P>

Poor Tommy.  I say we start a collection and spring him from jail.  Maybe then he'd be willing to smoke a bowl with Misti.  I remember watching Cheech and Chong, along with Benny Hill as a kid with my Daddy, when he thought I was asleep on the couch.  Tommy is what, 65 or something?  With the way they've cut healthcare, I can see why older people would smoke pot, it's cheaper than their blood pressure medicine!
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 12 September 2003<P>

Teej~<BR>
wOw! what an awesome compliment! thanks muchly! I know I can trust compliments from you because you are always honest and I appreciate that. You are the only person who has ever compared my poems to my collages. Thank you. Chris helped me update my site last night with text regarding the West Memphis 3. We will take away old collages and photos and replace them with new ones soon.<BR>
<BR>
Regarding food stamps...I was on them for nearly nine months during my pregnancy in '96. I was literally sick everyday, even with the anti-nausea pills (I was throwing up in labor, actually)and I was single and didn't get much help from my family and no help whatsoever from my psychotic ex. So I wasn't working. I spent my pregnancy bonding with the life growing inside my womb by playing music and reading and talking to my daughter. I always felt ashamed using my food stamps at the grocery store. I was looked at in a different way and it hurt me. But I have no regrets. The daughter I placed for adoption is a beautiful, healthy girl and she is in first grade now. I have much admiration for you, Teej. You are certainly a stronger woman than I will ever be.<BR>
<BR>
Kase,<BR>
We really should start a collection. If I could be educated on the fine art of bowl smoking by Mr. Chong, that would be a nice dream come true. I saw "Nice Dreams" at the drive-in with my sister and uncle (who smoked many bowls in his day) when I was in second grade. I don't think my sister and I ever laughed so hard in our lives. The pigeons falling over cracked us up. I need to get a job as an activist, for real.<BR>
<BR>
eBuLLieNCe!!!!!<BR>
misti
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 12 September 2003<P>

Misri; Great tribute to John Ritter and Johnny of course was a Legend before his time. I used to be a tour guide and our morning tour was to Johnny Cashes house.  They lived out on Old Hickory Lake in the house Elvis built for Pricilla and they never lived in because she ran off with her karate instructor. The Cashes had the whole family in on the act. His mother ran the gift shop and you would see the kids and Johnny and June in and out all the time. I remember they had a garage sale once and we had such fun shopping there. The tourists could not get enough of it.<BR>
  In the afternoons we went to the other side of town and that tour included Tex Ritters house and of course John Ritter was always mentioned. He had a brother who is a lawyer and is handicapped who lived two doors down from Dad as well. Minnie Pearl lived right around the corner and the governor and Ronnie Milsap and one of Tammy Wynettes and George Jones houses was there close by as well. It was always fun. But a dangerous job, you had to drive and keep everyone safe and give the tour at the same time. A job on the top ten worst you don't want to have. Once I had to chase two tourist down that jumped off the back of the bus while going down music row when they saw James Garner and Waylon Jennings coming out the back door of a recording studio.  Funny things happened back then. <BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 12 September 2003<P>

Ha sorry, that's Misti the r next to the t you know and I didn't check it obviously.<BR>
<BR>
Star of David; Thanks glad you liked it.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 12 September 2003<P>

LOL! Babysitting celebrity crazed tourists...how hilarious. I probably would have run after Waylon Jennings myself. I never knew Elvis was building another house before the divorce. I don't blame Priscilla for taking off with the karate instructor. From what I've read, Elvis sucked as a husband.
<HR>